# Uses of Class
org.apache.zookeeper.server.admin.AdminServer.AdminServerException

Packages that use AdminServer.AdminServerException
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.admin
org.apache.zookeeper.server.quorum

## Uses of AdminServer.AdminServerException in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that throw AdminServer.AdminServerException
Modifier and Type
Method
Description
`protected void`
ZooKeeperServerMain.`initializeAndRun(String[] args)`
`void`
ZooKeeperServerMain.`runFromConfig(ServerConfig config)`
Run from a ServerConfig.

## Uses of AdminServer.AdminServerException in org.apache.zookeeper.server.admin

Methods in org.apache.zookeeper.server.admin that throw AdminServer.AdminServerException
Modifier and Type
Method
Description
`void`
AdminServer.`shutdown()`
`void`
DummyAdminServer.`shutdown()`
`void`
JettyAdminServer.`shutdown()`
Stop the embedded Jetty server.
`void`
AdminServer.`start()`
`void`
DummyAdminServer.`start()`
`void`
JettyAdminServer.`start()`
Start the embedded Jetty server.
Constructors in org.apache.zookeeper.server.admin that throw AdminServer.AdminServerException
Modifier
Constructor
Description
``
`JettyAdminServer()`

## Uses of AdminServer.AdminServerException in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that throw AdminServer.AdminServerException
Modifier and Type
Method
Description
`protected void`
QuorumPeerMain.`initializeAndRun(String[] args)`
`void`
QuorumPeerMain.`runFromConfig(QuorumPeerConfig config)`